<?php

namespace edu\wisc\doit;

/**
 * Represents a validation response for a NetID password
 */

class RpcNetidStructValidationResponse {
	
	/** @var bool  true if valid, false if invalid */
	private $isValid;
	
	/** @var string[]  the reasons for a password being invalid */
	private $reasons;
	
	/**
	 * @param bool $isValid
	 * @param string $reason
	 */
	function __construct( $isValid, array $reasons ) {
		$this->setIsValid( $isValid );
		$this->setReasons( $reasons );
	}
	
	/**
	 * @return bool  true if valid, false if invalid
	 */
	function getIsValid() { return $this->isValid; }
	
	/**
	 * @param bool $isValid  true if valid, false if invalid
	 */
	function setIsValid( $isValid ){
		if( is_bool($isValid) !== true ) { throw new \DomainException("isValid must be a bool"); }
		$this->isValid = $isValid;
	}
	
	/**
	 * @return string  the reason for a password being invalid
	 */
	function getReasons() { return $this->reasons; }
	
	/**
	 * @param string[] $reason  the reason for a password being invalid
	 */
	function setReasons( array $reasons ){
		$this->reasons = $reasons;
	}
}
